Bug 1018648 - Make $katello_org in node-installer a CLI parameter
Make $katello_org in node-installer a CLI parameter
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 00:33 EDT by Mike McCune
Modified: 2014-01-27 09:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 15:11:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-10-14 00:33:58 EDT
When doing node-installs the users are stuck with the hard coded "Katello Infrastructure" org to create the node + key RPMs. 

This makes it difficult if you want to utilize an existing Org that has content or not rely on this pre-determined name.
Comment 2 Justin Sherrill 2013-10-16 15:08:25 EDT
So this is actually not needed, as this is already possible with:

a) On katello server:

  node-certs-generate  --katello-org="ACME_Corporation" --child-fqdn="node.evel"  --katello-user='admin' --katello-password='admin'

b) On new node:


subscription-manager register --org "ACME_Corporation" --activationkey node-installer

 node-install --parent-fqdn master.example.com


I will update the documentation in the node-installer git repo with this tip.
Comment 3 Justin Sherrill 2013-10-16 15:09:49 EDT
small omission: 

command in a)  should have
     --katello-activation-key="node-installer"
on the end
Comment 4 Ivan Necas 2013-10-17 03:35:48 EDT
@justin yes, if the --katello-activation-key is not provided, it does not create it. Also, other params for the repos with certs are available. see --help for more

Note You need to log in before you can comment on or make changes to this bug.